class Constants {
  /**
   * The amount of time in ms a code bit takes to transmit. Double this value
   * to get the transfer speed in per bit.
   *
   * @type {Number}
   */
  static get CLOCK_TIME() {
    return 500;
  }

  /**
   * The amount of time in ms a symbol of the preamble takes to transmit.
   *
   * @type {Number}
   */
  static get PREAMBLE_CLOCK_TIME() {
    return 1000;
  }

  /**
   * The preamble that is sent before the packet.
   *
   * @type {Number[]}
   */
  static get PREAMBLE() {
    return [1, 1, 1, 0, 0, 0, 1, 1, 1];
  }

  /**
   * The signal used in calibration mode.
   *
   * @type {Number[]}
   */
  static get CALIBRATION_SIGNAL() {
    return [1, 1, 0, 0];
  }

  /**
   * The number of workers that should be started.
   *
   * @type {Number}
   */
  static get NUMBER_OF_WORKERS() {
    return 8;
  }

  /**
   * The CSS class to add to buttons that should be hidden.
   *
   * @type {String}
   */
  static get HIDE_CLASS() {
    return "hide";
  }
}
